#Trap #75  Soul Crush
#Added with Tales of the North MOD
#12d8+4, NO SAVE
#Ouch!
from eventAPI import *
from APIUtils import *

def fireEvent(e):
   lFlagS = getTag(e, "lFlagS")
   if (not issetany(lFlagS, 0x00000300)):
      return 1
   if (isclearall(lFlagS, 0x00000002)):
      showMessage(e, ["Your very existance wavers as negative spiritual energy courses through you."], optionInput)
      for partyIdx in range(getPartyCount(e)):
         dmg = dice(12, 8, 4)
         modifyHP(e, partyIdx, -dmg)
   return 1
